import 'package:json_annotation/json_annotation.dart';
import 'package:adeptarch_base/src/filters/filter.dart';

part 'bool_filter.g.dart';

@JsonSerializable()
class BoolFilter extends Filter<BoolFilter, bool> {
  BoolFilter({
    required String? param,
    SortMode? sortMode,
    FilterActionType? filterActionType,
  }) : super(
          param: param,
          sortMode: sortMode,
          filterActionType: filterActionType,
        );

  @override
  Map<String, dynamic> toJson() => _$BoolFilterToJson(this);
  @override
  BoolFilter? fromJsonMap(Map<String, dynamic>? json) =>
      json != null ? BoolFilter.fromJson(json) : null;
  factory BoolFilter.fromJson(Map<String, dynamic> json) =>
      _$BoolFilterFromJson(json);
}
